MAKE_MD5(8)

NAME
make_md5 - Generate MD5 checksums for given set of users.

SYNOPSIS
make_md5 [ -C config-file ] [ -D md5_dir ] [ -k count ] [ -f input_file ] [ -m offset ] [ -M modulo ] [ -v ] [ userid... ]

DESCRIPTION
Generate MD5 checksums for messages given set of users. Works as incremental update: reads in existing set of MD5 checksums from md5_dir/u/userid (hashed on first letter of userid) if that file exists. Scans account looking for new messages, and then updates record. The MD5 checksums which are generated are used to test integrity of the master, replica and backup systems on Hermes.

OPTIONS

-C config-file
    Read configuration options from config-file.

-D md5_dir
    Read and write MD5 checksums from md5_dir, overrides configuration file setting of the same name.

-k count
    Concurrency level: run up to count asynchronous child processes.

-f input_file
    List of accounts to process: use in place of command line arguments.

-m offset
    Regenerate given fraction of the user database in combination with -M below.

-M modulo
    Regenerate MD5 checksums for given fraction of user database. Allows for rolling consisency checks.

-v  Verbose mode.

FILES

/etc/imapd.conf

AUTHORS
David Carter (dpc22@cam.ac.uk)